Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.event
Class BroadcastEventTypeFilter

    java.lang.Object
      org.jbpm.process.core.event.EventTypeFilter
          org.jbpm.process.core.event.BroadcastEventTypeFilter

All Implemented Interfaces:
  Serializable, EventFilter

    public class BroadcastEventTypeFilter

extends EventTypeFilter

This event type filter adds "broadcast" functionality that's necessary for compensation. Compensation can be triggered in at least two ways: 1. A targeted compensate event. 2. A "general" compensate event, for example, when a cancel signal is sent. In order to accomodate the second case, this class reacts to signals that begin with a "base" string as well as targeted signal names. For example, it will react to: - "Compensate-" as the base string - and something like "Compensate-SubProcess_1" as the type string.

See Also:
  Serialized Form

Field Summary
`protected String` | `base`

Fields inherited from class org.jbpm.process.core.event.EventTypeFilter
`type`

Constructor Summary
`BroadcastEventTypeFilter()`

Method Summary
`boolean` | `acceptsEvent(String type, Object event)`
`void` | `setType(String broadcastPrefix)`
`void` | `setType(String broadcastPrefix, String specificSuffix)`

Methods inherited from class org.jbpm.process.core.event.EventTypeFilter
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    protected String base

Constructor Detail

### BroadcastEventTypeFilter

    public BroadcastEventTypeFilter()

Method Detail

### setType

    public void setType(String broadcastPrefix)

  Overrides:
    `setType` in class `EventTypeFilter`

### setType

    public void setType(String broadcastPrefix,
                        String specificSuffix)

### acceptsEvent

    public boolean acceptsEvent(String type,
                                Object event)

  Specified by:
    `acceptsEvent` in interface `EventFilter`
  Overrides:
    `acceptsEvent` in class `EventTypeFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.